Create a transaction synchronously

Two transaction modes (asynchronous and synchronous) are available. This endpoint lets you create a transaction in the synchronous mode. Note that the auto_confirm flag can be set to simultaneously create and confirm a transaction in one step (i.e. HTTP request).

Body Params
int64
≥ 1

Unique transaction identifier.

string
required
length between 1 and 40

Unique identifier for the transaction in your system.

int32
required
≥ 1

Product identifier.

string | null
enum

Required when product type is either RANGED_VALUE_RECHARGE, RANGED_VALUE_PIN_PURCHASE, or RANGED_VALUE_PAYMENT

Allowed:
source
object | null

Required for ranged value products and when calculation_mode is set to SOURCE_AMOUNT

destination
object | null

Required for ranged value products and when calculation_mode is set to DESTINATION_AMOUNT

boolean
Defaults to false

Determines whether a transaction will be automatically confirmed upon creation or not. This is opted-out by default. Setting this field to true is recommended when transaction details, e.g. prices, are known as it removes the need to perform a separate API call to confirm transactions.

product
object
rates
object
sender
object | null

Sender details for a transaction. This information is mostly optional and will only be required for products with sender information requirements as outlined in required_sender_fields.

beneficiary
object | null

Beneficiary details for a transaction. This information is mostly optional and will only be required for products with beneficiary information requirements as outlined in required_beneficiary_fields.

debit_party_identifier
object | null

Sending account details for a transaction. This information is mostly optional and will only be required for products with debit party information requirements as outlined in required_debit_party_identifier_fields.

credit_party_identifier
object | null

Receiving account details for a transaction. This information will be required for the majority of products with credit party inofrmation requirements outlined in required_credit_party_identifier_fields, but will be optional for certain products without any upfront recipient, e.g. Gift Cards.

statement_identifier
object | null

Qualifying statement details for a payment transaction. This information is mostly optional and will only be required for specific payment products with statement identifier requirements as outlined in required_statement_identifier_fields.

additional_identifier
object | null

Additional details for a transaction. This information is mostly optional and will be required primarily for compliance reasons for products with additional information requirements as outlined in required_additional_identifier_fields.

Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json